## Prerequisites

Before installing `siapy` library, ensure you have the following prerequisites:

- Python 3.10 or higher
- `pip` (Python package installer) or any other installer (e.g. pdm, uv, poetry)

## Installation

Installation is as simple as:

```bash
pip install siapy
```

### Alternative Installation Methods

__Python package and dependency managers__

You can also install siapy using other popular Python package and dependency managers:

- PDM:

```bash
pdm add siapy
```

- Poetry:

```bash
poetry add siapy
```

- uv:

```bash
uv add siapy
```

__Manually__

If you prefer to install from the source, you can clone the repository and install it manually:

```bash
git clone https://github.com/siapy/siapy-lib.git
cd siapy
make install
```

## Troubleshooting

If you encounter any issues during installation, consider the following solutions:

- Ensure that you have the correct version of Python installed.
- Check for any missing dependencies and install them manually.
- Upgrade pip to the latest version:

```bash
pip install --upgrade pip
```

For further assistance, please refer to the [documentation](https://siapy.github.io/siapy-lib/) or open an [issue](https://github.com/siapy/siapy-lib/issues/new/choose) on GitHub.
